Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe
Class InputEntry

    java.lang.Object
      javafe.InputEntry

Direct Known Subclasses:
  ClassInputEntry, DirInputEntry, FileInputEntry, ListInputEntry, PackageInputEntry, UnknownInputEntry

public class InputEntry
extends java.lang.Object

Field Summary
`boolean` | `auto`
`java.util.ArrayList` | `contents`
`java.lang.String` | `name`

Constructor Summary
`InputEntry(java.lang.String n)`

Method Summary
`void` | `clear()`
`static void` | `clear(java.util.ArrayList a)`
`static InputEntry` | `make(java.lang.String name)`
`static InputEntry` | `make(java.lang.String type, java.lang.String name)`
`boolean` | `match(InputEntry ie)`
`InputEntry` | `resolve()`
`java.lang.String` | `savedString()`
`java.lang.String` | `toString()`
`java.lang.String` | `type()`
`java.lang.String` | `typeOption()`
`java.lang.String` | `verify()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### contents

    public java.util.ArrayList contents

### auto

    public boolean auto

Constructor Detail

### InputEntry

    public InputEntry(java.lang.String n)

Method Detail

### toString

    public java.lang.String toString()

### type

    public java.lang.String type()

### typeOption

    public java.lang.String typeOption()

### verify

    public java.lang.String verify()

### savedString

    public java.lang.String savedString()

### clear

    public static void clear(java.util.ArrayList a)

### clear

    public void clear()

### make

    public static InputEntry make(java.lang.String type,
                                  java.lang.String name)

### make

    public static InputEntry make(java.lang.String name)

### resolve

    public InputEntry resolve()

### match

    public boolean match(InputEntry ie)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage